package com.nisum.ecomcustomer.validators;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {NumericIdValidator.class})
@Documented
public @interface NumericId {

    String message() default "must be a numeric id matching pattern [1-9][\\d]*";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
