package com.nisum.ecomcustomer.validators;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

public class NumericIdValidator implements ConstraintValidator<NumericId, String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        return value.matches("[1-9][\\d]*");
    }
}
