package com.nisum.ecomcustomer.exceptions;

public class CustomerNotFoundException extends RuntimeException {

    public CustomerNotFoundException() {
        super("customer not found");
    }

    public CustomerNotFoundException(Long id) {
        super("customer not found with ID: "+ id);
    }

    public CustomerNotFoundException(String message) {
        super(message);
    }

    public CustomerNotFoundException(String message, Throwable cause) {
        super(message, cause);
    }
}
